/*Copyright (C) 2007 Cassarin-Grand Arthur (Zoloom)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */


#ifndef FENNEW_H_INCLUDED
#define FENNEW_H_INCLUDED

#include <wx/wx.h>
#include <iostream>
#include <string>
#include <fstream> 
#include <dirent.h>

#include <wx/textdlg.h>
#include <wx/textctrl.h> 
#include <wx/stattext.h>
#include <wx/toolbar.h>
#include <wx/sizer.h>
#include <wx/file.h>
#include <wx/textctrl.h>
#include <wx/msgdlg.h>
#include <wx/process.h> 
#include <wx/msgdlg.h>
#include <wx/event.h> 
#include <wx/arrstr.h>
#include <wx/wxprec.h>
#include <wx/dirdlg.h>
#include <wx/statbmp.h>
#include <wx/listbox.h>
#include <wx/dir.h>
#include <wx/splash.h>
#include <wx/spinctrl.h>
#include <wx/panel.h>
#include <wx/notebook.h>
#include <wx/intl.h>
#include <wx/stream.h>
#include <wx/radiobox.h>
#include <wx/busyinfo.h>
#include <wx/utils.h> 
#include <wx/aboutdlg.h>
#include <wx/tglbtn.h>   

class Fennew : public wxFrame
{
	private :
	
		wxNotebook *notebookFennew;
		
		wxPanel *pageGeneral;
		wxPanel *pageCD;
		wxPanel *pageInternet;
		wxPanel *pageLocal;
		wxPanel *pageSound;
		wxPanel *pageImage;
		wxPanel *pageMisc;
		
		wxBoxSizer *boxMainNew;
			
		wxTextCtrl *txtcNameNew;
		wxTextCtrl *txtcEditorNew;
		wxTextCtrl *txtcWebsiteNew;
		wxTextCtrl *txtcNickNameNew;
		wxTextCtrl *txtcGameNameNew;
		wxTextCtrl *txtcAutorunExeCDNew;
		wxTextCtrl *txtcGameDirectoryNew;
		wxTextCtrl *txtcGameStarterNew;
		wxTextCtrl *txtcUrlNew;
		wxTextCtrl *txtcPathDownloadNew;
		wxTextCtrl *txtcLocalClientPathNew;
		wxTextCtrl *txtcSessionNew;
		wxTextCtrl *txtcAssignNew;
					
		wxButton *buttonNameNew;
		wxButton *buttonEditorNew;
		wxButton *buttonWebsiteNew;
		wxButton *buttonNickNameNew;
		wxButton *buttonGameNameNew;
		wxButton *buttonGameDirectoryNew;
		wxButton *buttonGameStarterNew;
		wxButton *buttonAutorunExeCDNew;
		wxButton *buttonUrlNew;
		wxButton *buttonPathDownloadCDNew;
		wxButton *buttonLocalClientPathNew;
		wxButton *buttonSoundDriverNew;
		wxButton *buttonGLSLNew;
		wxButton *buttonAddNew;
		wxButton *buttonDesktopNew;
		wxButton *buttonDXGrabNew;
		wxButton *buttonManagedNew;
		wxButton *buttonOSNew;
		wxButton *buttonAssignNew;
		wxButton *buttonSessionNew;
								
		wxStaticText *txtstNameNew;
		wxStaticText *txtstEditorNew;
		wxStaticText *txtstWebsiteNew;
		wxStaticText *txtstNickNameNew;
		wxStaticText *txtstGameNameNew;
		wxStaticText *txtstGameDirectoryNew;	
		wxStaticText *txtstGameStarterNew;
		wxStaticText *txtstAutorunExeCDNew;
		wxStaticText *txtstUrlNew;
		wxStaticText *txtstPathDownloadNew;
		wxStaticText *txtstLocalClientPathNew;
		wxStaticText *txtstGLSLNew;
		wxStaticText *txtstSoundDriverNew;
		wxStaticText *txtstDesktopNew;
		wxStaticText *txtstDXGrabNew;
		wxStaticText *txtstManagedNew;
		wxStaticText *txtstOSNew;
		wxStaticText *txtstAssignNew;
		wxStaticText *txtstSessionNew;
		
		wxCheckBox *checkCDNew;
		wxCheckBox *checkNetNew;
		wxCheckBox *checkLocalNew;
		
		wxComboBox *comboSoundDriverNew;
		wxComboBox *comboGLSLNew;
		wxComboBox *comboDesktopNew;
		wxComboBox *comboDXGrabNew;
		wxComboBox *comboManagedNew;
		wxComboBox *comboOSNew;
			
		DECLARE_EVENT_TABLE()
		
	public:
		
		Fennew(wxWindow *parent);
		
		void AddGeneralInformationsNew(wxCommandEvent& WXUNUSED(event));
		void OnCheckCD(wxCommandEvent& WXUNUSED(event));
		void OnCheckNet(wxCommandEvent& WXUNUSED(event));
		void OnCheckLocal(wxCommandEvent& WXUNUSED(event));
		
		//---- HELP -----
		
		void HelpName(wxCommandEvent& WXUNUSED(event));
		void HelpEditor(wxCommandEvent& WXUNUSED(event));
		void HelpWebsite(wxCommandEvent& WXUNUSED(event));
		void HelpNickName(wxCommandEvent& WXUNUSED(event));
		void HelpGameName(wxCommandEvent& WXUNUSED(event));
		void HelpGameDirectory(wxCommandEvent& WXUNUSED(event));
		void HelpGameStarter(wxCommandEvent& WXUNUSED(event));
		void HelpAutorunExeCD(wxCommandEvent& WXUNUSED(event));
		void HelpUrl(wxCommandEvent& WXUNUSED(event));
		void HelpPathDownload(wxCommandEvent& WXUNUSED(event));
		void HelpLocalClientPath(wxCommandEvent& WXUNUSED(event));
		void HelpSoundDriver(wxCommandEvent& WXUNUSED(event));
		void HelpGLSL(wxCommandEvent& WXUNUSED(event));
		void HelpDesktop(wxCommandEvent& WXUNUSED(event));
		void HelpDXGrab(wxCommandEvent& WXUNUSED(event));
		void HelpManaged(wxCommandEvent& WXUNUSED(event));
		void HelpOS(wxCommandEvent& WXUNUSED(event));
		void HelpAssign(wxCommandEvent& WXUNUSED(event));
		void HelpSession(wxCommandEvent& WXUNUSED(event));

		~Fennew();
};

#endif
